# CUpti_Profiler_CounterDataImage_CalculateScratchBufferSize_Params Struct Reference
[CUPTI Profiling API]

Params for cuptiProfilerCounterDataImageCalculateScratchBufferSize.

## Data Fields

size_t | counterDataImageSize
| [in] size calculated from cuptiProfilerCounterDataImageCalculateSize
size_t | counterDataScratchBufferSize
| [out]
uint8_t * | pCounterDataImage
| [in]
void * | pPriv
| [in] assign to NULL
size_t | structSize
| [in] CUpti_Profiler_CounterDataImage_CalculateScratchBufferSize_Params_STRUCT_SIZE